"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Establishes a connection between an output port and an input port. Data
 * emitted on an output port are automatically forwarded to connected input
 * ports.
 * @param outPort
 * @param inPort
 */
function connect(outPort, inPort) {
    outPort.add(inPort);
}
exports.connect = connect;
//# sourceMappingURL=connect.js.map