import { InPorts } from "../types/InPorts";
import { Node } from "../types/Node";
import { Outputs } from "../types/Outputs";
/**
 * Creates a node based on the specified output port names and input port
 * collection generator function.
 * @param outFields List of output port names.
 * @param createInPorts Creates a set of input ports.
 */
export declare function createNode<I, O>(outFields: Array<keyof O>, createInPorts: (outputs: Outputs<O>) => InPorts<I>): Node<I, O>;
