"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Tears down the connection between the specified ports, or, when the input
 * port is omitted, tears down all downstream connections of the output port.
 * @param outPort
 * @param inPort
 */
function disconnect(outPort, inPort) {
    if (inPort) {
        outPort.delete(inPort);
    }
    else {
        outPort.clear();
    }
}
exports.disconnect = disconnect;
//# sourceMappingURL=disconnect.js.map