import { InPort } from "../types/InPort";
import { OutPort } from "../types/OutPort";
/**
 * Tears down the connection between the specified ports, or, when the input
 * port is omitted, tears down all downstream connections of the output port.
 * @param outPort
 * @param inPort
 */
export declare function disconnect<V>(outPort: OutPort<V>, inPort?: InPort<V>): void;
